Bug 403587 - Add replace and subtract shortcuts for selection tools - A R and S are not working in master
Summary: Add replace and subtract shortcuts for selection tools - A R and S are not wo...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Selection (show other bugs)
Version: 4.1.7
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2019-01-25 11:11 UTC by Raghavendra kamath
Modified: 2019-01-26 13:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raghavendra kamath 2019-01-25 11:11:26 UTC
SUMMARY
The shortcuts for adding replacing and subtracting selection are not working in git master.

STEPS TO REPRODUCE
1. Open krita built from git master
2. draw a selection with selection tool like bezier
3. press A R or S, check the tool option icon, they don't change, check by drawing a selection too

OBSERVED RESULT
shortcut have no change in the mode of selection

EXPECTED RESULT
selection mode should be changed according to shortcuts

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.14.5
Qt Version: 5.12.0
KDE Frameworks Version: 5.54.0
Kernel Version: 4.20.3-arch1-1-ARCH
OS Type: 64-bit
Processors: 8 × Intel® Core™ i7-4790K CPU @ 4.00GHz
Memory: 15.6 GiB of RAM


ADDITIONAL INFORMATION

the modifiers combination are working as usual.
Comment 1 Halla Rempt 2019-01-26 13:54:36 UTC
Git commit f987bbf09665399a6aecfcec0ba8f91ed4e89785 by Boudewijn Rempt.
Committed on 26/01/2019 at 13:53.
Pushed by rempt into branch 'master'.

Base the selection tools on the right toolfactory class

This re-enables the selection mode shortcuts again.

M  +2    -3    libs/ui/tool/KisSelectionToolFactoryBase.cpp
M  +1    -1    libs/ui/tool/KisSelectionToolFactoryBase.h
M  +3    -3    plugins/tools/basictools/kis_tool_ellipse.h
M  +3    -3    plugins/tools/basictools/kis_tool_rectangle.h
M  +3    -3    plugins/tools/selectiontools/kis_tool_select_contiguous.h
M  +3    -3    plugins/tools/selectiontools/kis_tool_select_elliptical.h
M  +3    -3    plugins/tools/selectiontools/kis_tool_select_outline.h
M  +3    -3    plugins/tools/selectiontools/kis_tool_select_path.h
M  +3    -3    plugins/tools/selectiontools/kis_tool_select_polygonal.h
M  +3    -3    plugins/tools/selectiontools/kis_tool_select_rectangular.h
M  +3    -3    plugins/tools/selectiontools/kis_tool_select_similar.h

https://commits.kde.org/krita/f987bbf09665399a6aecfcec0ba8f91ed4e89785